Real Contact API
Real Contact API 1.1
Real Contact API verifies and grades phone numbers, emails, and addresses and delivers essential insights, including a phone activity score, line types, name matches for phone, email, and address, and phone and email contact grades.
Real Contact 1.1
Query Parameters
string
required
The name of the person to search. Example:
name=John Doestring
The first name of the person to search. Example:
first_name=Johnstring
The last name of the person to search. Example:
last_name=Doestring
The business name to search. Example:
business.name=The Golden Companystring
required
The phone provided by the lead on the web form. Example:
phone=4259853735string
The email provided by the lead on the web form. Example:
email=john.doe@example.comstring
The IP address from which the lead signed up on the web form. Example:
ip_address=192.0.0.1string
The first line of the street part in the structured address. Example:
address.street_line_1=100 Syrws Ststring
The second line of the street part in the structured address. Example:
address.street_line_2=Apt 4Bstring
The name of the city in the structured address. Example:
address.city=Lyndenstring
The state code of the structured address. Example:
address.state_code=WAstring
The postal code of the structured address. Example:
address.postal_code=98229string (ISO-3166-2)
The ISO-3166 alpha-2 country code of the address. Example:
address.country_code=USstring
Request parameter to enable specific add-ons available for this endpoint. Add-ons incur additional charges. Please see here for more details.
- email_checks_deliverability: to enable email deliverability checks in the response
- email_checks_age: to enable email age score in the response
- litigator_checks: to enable litigator checks in the response
add_ons=litigator_checks,email_checks_deliverabilityHeaders
string
required
Your API key for authentication. Example:
{{ apiKey }}Response
boolean or null
True if the phone number is valid.
integer or null
Trestle’s activity scores range from 0 to 100. A score of 100 means consistent activity in the last 12 months, and a score of 0 means a disconnected number or no activity has been seen in the past year.An activity score of 70 or above means there is a high confidence that the phone is connected, assigned to a subscriber, and someone has been taking calls consistently. An activity score of 30 or below means there is a high confidence that the phone is either disconnected or no one will answer the call when the number is dialed in. An activity score of 50 means Trestle doesn’t have enough signals to predict whether the phone is connected or disconnected/inactive.If you want to filter leads based on the activity score, the following rules can be recommended:
- Prioritize dialing good numbers with consistent activity: Scores 70 or above.
- Weed out leads with disconnected/inactive numbers: Scores of 30 or below.
string or null
The line type of the phone number. Possible values:
Landline- Traditional wired phone lineMobile- Wireless phone lineFixedVOIP- VOIP number connected to a physical addressNonFixedVOIP- VOIP number unconnected to a fixed physical addressPremium- Caller pays a premium for the callTollFree- Callee pays for callVoicemail- Voicemail-only serviceOther- Line type is unclear
boolean or null
A match/no match indicator whether the name provided on the lead form matches to the input phone number according to our database. A match is a positive indicator that verifies the lead is real and is who he/she says they are.
string or null
An A-F grade determining the quality of the lead and whether it is contactable. A Grade-F lead is a bad lead and should be deprioritized while a Grade-A lead is real and contactable and should be prioritized. Read up on contact grades in our Knowledge Base article.
boolean or null
True if the email is valid.
boolean or null
A match/no match indicator whether the name provided on the lead form matches to the input email address according to our database.
string or null
An A-F grade determining the quality of the lead and whether it is contactable via the email provided. Read up on contact grades in our Knowledge Base article.
boolean or null
True if the address is valid.
boolean or null
A match/no match indicator whether the name provided on the lead form matches to the input address according to our database.
object or null
object(PartialError)
Error details in case of an error.
string[]
Warnings returned as part of the response, if applicable.Enum: Missing Input Missing Unit/Apt/Suite Number Invalid Address Invalid House/Building Number Invalid Unit/Apt/Suite Number Invalid Phone Lead is a Litigator. Must not be contacted. TimeoutError: Timeout getting response for litigator check. Partial response returned. Invalid Email Free Email Service Provider Tumbled Email Disposible Email Privacy Email Email is a spam trap Potential Junk Email Role Based Email Undeliverable Email Domain is a catch all and does not support validation Could not validate email TimeoutError: Timeout getting a response from the email server for email deliverability check MX forwarding detected. This email may route through a forwarding service.
Error Responses
400 Bad Request
The server cannot process the request due to client-side errors.Check for: Syntax errors in the request script, malformed JSON, or invalid parameters.403 Forbidden
The request is understood, but the server is refusing to fulfill it. Error responses include anerrorCode field identifying the cause:-
Invalid API Key (
INVALID_API_KEY): The key is incorrect, deactivated, or missing from the request. Check for: Trailing spaces, syntax errors, incorrect character counts, or a missingx-api-keyheader. -
API Key Disabled (Portal Issue) (
FORBIDDEN): The key is inactive. Check for: Insufficient funds in your self-serve wallet or if a Trestle Admin manually deactivated your API key. -
API Key does not have Product Access (Portal Issue) (
FORBIDDEN): The API key is active, but it is not enabled for this product or API version. Check for: Incorrect endpoint, incorrect API version, or missing product access on the key. -
API Key Expired (
FORBIDDEN): The key has reached its end-of-life (primarily affects Trial users).
429 Too Many Requests
You have sent too many requests in a given amount of time.-
Rate Limit Exceeded (
RATE_LIMIT_EXCEEDED): You have surpassed the queries-per-second (QPS) threshold for your tier. -
Quota Exceeded (Portal Issue) (
QUOTA_EXCEEDED): You have reached the total volume allowed for your current billing cycle. Upgrade your plan in the portal to resume service.
